Bug 446322 - KDE Menu icon draws out of bounds
KDE Menu icon draws out of bounds
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 453878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 23:09 EDT by Peter Fernandes
Modified: 2008-07-02 20:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 19:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot (520.40 KB, image/png)
2008-05-13 23:09 EDT, Peter Fernandes
no flags Details
Screen Shot Tiny to normal (598.02 KB, image/png)
2008-05-14 12:02 EDT, Steven M. Parrish
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 162111 None None None Never

  None (edit)
Description Peter Fernandes 2008-05-13 23:09:46 EDT
Description of problem:
After changing the taskbar size to "tiny," the KDE menu icon (Fedora logo)
didn't scale down, so the part that is drawn off the screen appears at the top
of the screen (see screenshot).  When clicked, the menu appears near the top of
the screen close to the bottom part (the out-of-bounds part) of the icon.

Version-Release number of selected component (if applicable):

kdebase-workspace-4.0.3-20.fc9

How reproducible:

Every startup

Steps to Reproduce:
1.Change taskbar size from the default setting to "Tiny" in "Panel Settings."

  
Actual results:

The icon is drawn at the incorrect size, out of screen bounds and appearing
partially at the top of the screen.  The KMenu also appears at the top of the
screen.

Expected results:
A smaller KMenu icon is drawn; the Kmenu appears near the bottom of the screen.
Comment 1 Peter Fernandes 2008-05-13 23:09:46 EDT
Created attachment 305324 [details]
Screen shot
Comment 2 Steven M. Parrish 2008-05-14 12:02:19 EDT
Created attachment 305376 [details]
Screen Shot   Tiny to normal
Comment 3 Steven M. Parrish 2008-05-14 12:09:06 EDT
Confirmed here.  Also see the screen shot I posted in Comment #2.  Going from
tiny back to normal results in the taskbar not going back to where it should and
the screen wrapping from the top to the bottom
Comment 4 Rex Dieter 2008-05-14 12:09:53 EDT
Upstream please, bugs.kde.org.  Not much we can do locally in fedora-land.
Comment 5 Steven M. Parrish 2008-05-14 12:46:56 EDT
Peter Fernandes please file upstream. and add info to this report.

Since what I reported is really a separate bug I filed it upstream.
http://bugs.kde.org/show_bug.cgi?id=162098.

Comment 6 Peter Fernandes 2008-05-14 19:54:55 EDT
This bug has been closed: moved to http://bugs.kde.org/show_bug.cgi?id=162111
Comment 7 Kevin Kofler 2008-07-02 20:01:31 EDT
*** Bug 453878 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.